Bug 442948 - kyum requires /usr/bin/kdesu
kyum requires /usr/bin/kdesu
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kyum (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Jochen Schmitt
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-17 15:53 EDT by Jerry Amundson
Modified: 2008-05-14 17:33 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-24 14:19:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jerry Amundson 2008-04-17 15:53:57 EDT
Description of problem:
"kyum" in rawhide, installed from Live CD, results in 
/usr/bin/kyum: line 4: /usr/bin/kdesu: No such file or directory

Version-Release number of selected component (if applicable):
kyum-0.7.5-11.fc9.i386

How reproducible:
often

Steps to Reproduce:
1. enter "kyum"
2.
3.
  
Actual results:
/usr/bin/kyum: line 4: /usr/bin/kdesu: No such file or directory

Expected results:


Additional info:
Comment 1 Steven M. Parrish 2008-04-17 16:27:59 EDT
Are you running this on an upgraded system or clean install.  In F9 Yum has been
replaced with packagekit.
Comment 2 Rex Dieter 2008-04-17 16:46:55 EDT
that's incorrect, yum hasn't been replaced.
Comment 3 Kevin Kofler 2008-04-17 16:50:40 EDT
kyum is simply missing a Requires: kdebase3.
Comment 4 Rex Dieter 2008-04-17 16:51:22 EDT
In f9/rawhide, 
/usr/bin/kdesu
is provided by kdebase3.  

kyum should probably grow a new dependency:
Requires: %{_bindir}/kdesu
Comment 5 Rex Dieter 2008-04-17 16:56:00 EDT
We can be reasonaby assured /usr/bin/kdesu will always be owned by kdebase3, 
so, 
Requires: kdebase3
here would be preferable, as noted by someone wise: "file deps are evil"
Comment 6 Jochen Schmitt 2008-04-24 14:19:16 EDT
Fix in kyum-0.7.5-12.fc9
Comment 7 Fedora Update System 2008-04-24 14:29:21 EDT
kyum-0.7.5-10.fc8.1 has been submitted as an update for Fedora 8
Comment 8 Rex Dieter 2008-04-24 14:33:37 EDT
Note: Re: comment #6, f9 is frozen, so you'll either to to request a
freeze-break from rel-eng, or wait to issue an update after release:
Comment 9 Fedora Update System 2008-05-14 17:33:08 EDT
kyum-0.7.5-10.fc8.1 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.